Page MenuHomePhabricator

Requesting access to analytics-privatedata-users for schoenbaechler
Closed, ResolvedPublic

Description

Requestor provided information and prerequisites

This section is to be completed by the individual requesting access.

  • Wikitech username: Schoenbaechler
  • Email address: rschoenbaechler@wikimedia.org
  • Requested group membership: analytics-privatedata-users
  • Reason for access: Access to superset presto dashboards (without SSH)
  • Name of approving party (manager for WMF/WMDE staff): Lucy Blackwell
  • Ensure you have signed the L3 Wikimedia Server Access Responsibilities document: ?
  • Please coordinate obtaining a comment of approval on this task from the approving party.

SRE Clinic Duty Confirmation Checklist for Access Requests

This checklist should be used on all access requests to ensure that all steps are covered, including expansion to existing access. Please double check the step has been completed before checking it off.

This section is to be confirmed and completed by a member of the SRE team.

  • - User has signed the L3 Acknowledgement of Wikimedia Server Access Responsibilities Document.
  • - User has a valid NDA on file with WMF legal. (All WMF Staff/Contractor hiring are covered by NDA. Other users can be validated via the NDA tracking sheet)
  • - User has provided the following: wikitech username, email address, and full reasoning for access (including what commands and/or tasks they expect to perform)
  • - access request (or expansion) has sign off of WMF sponsor/manager (sponsor for volunteers, manager for wmf staff)
  • - access request (or expansion) has sign off of group approver indicated by the approval field in data.yaml

For additional details regarding access request requirements, please see https://wikitech.wikimedia.org/wiki/Requesting_shell_access


Original ticket description:

Getting these error when tring to access this data on Superset (or this):

image.png (2×3 px, 2 MB)
image.png (2×3 px, 2 MB)

According to @SNowick_WMF, I need to request access to this:

You need to make sure you are added to the analytics-privatedata-users group in order to view non-public data. (Ticket here)
There is a Template task for requesting group access (without SSH access) that's fairly elaborate but you can just request access to that one group and should be good to go: https://phabricator.wikimedia.org/T271602

Thanks!

Related Objects

Event Timeline

Hello! Instructions weren't clear before, but we'd like to have all access request follow the same template. I just updated https://wikitech.wikimedia.org/wiki/Analytics/Data_access#Requesting_access.

I'll go ahead and edit this ticket description accordingly to get it moving.

Ottomata renamed this task from Request for access to analytics-privatedata-users to Requesting access to analytics-privatedata-users for schoenbaechler.May 26 2021, 1:41 PM
Ottomata updated the task description. (Show Details)

@schoenbaechler I edited the task description, but there are still a few fields blank. Can you edit and fill out the rest?

Thanks a lot @Ottomata — I filled it out! 👍

Approved.

FYI to SRE: this is addition to the analytics-privatedata-users posix group without ssh and without kerberos as described here.

@Ottomata this ticket is assigned to you, will you take care of it?

@schoenbaechler can you get Lucy Blackwell to approve this access here on this ticket?

Ottomata removed Ottomata as the assignee of this task.EditedMay 27 2021, 1:50 PM
Ottomata added a subscriber: Ottomata.

Ah oops, it was assigned to me because the process was not clear, fixed that.

@Marostegui am happy to do the patch if you like but I'm not fresh on how to verify all the NDA etc. stuff, so if you could check those boxes I'd appreciate it! :)

Marostegui triaged this task as Medium priority.

@schoenbaechler can you please confirm you've read and signed L3?

Ah oops, it was assigned to me because the process was not clear, fixed that.

@Marostegui am happy to do the patch if you like but I'm fresh on how to verify all the NDA etc. stuff, so if you could check those boxes I'd appreciate it! :)

Go for it @Ottomata - much appreciated!

Change 696467 had a related patch set uploaded (by Ottomata; author: Ottomata):

[operations/puppet@production] Add schoenbaechler to analytics-privatedata-users, no ssh

https://gerrit.wikimedia.org/r/696467

Marostegui changed the task status from Open to Stalled.Jun 1 2021, 4:59 AM

@schoenbaechler can you please confirm you've read and signed L3?

Sorry for the delay on this, I just signed L3!

Change 696467 merged by Volans:

[operations/puppet@production] Add schoenbaechler to analytics-privatedata-users, no ssh

https://gerrit.wikimedia.org/r/696467

The patch has been merged and deployed, it will be effective within ~30 minutes from now.
@schoenbaechler please confirm that everything works as expected and resolve the task if there are no issues.

Hey @Volans — just tried out some dashboards on Superset, works as expected — thanks a lot! 👏

Great, resolving.